## plasma5-applets-active-window-control-1.7.3-3.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(QT_MIN_VERSION "5.6.0")
set(KF5_MIN_VERSION "5.26.0")

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Quick Widgets DBus)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Plasma WindowSystem)

add_subdirectory(plugin)
add_subdirectory(lib)
add_subdirectory(translations)

plasma_install_package(package org.kde.activeWindowControl)

=== lib/CMakeLists.txt ===
set(activewindowcontrolapplet_SRCS
    activewindowcontrolapplet.cpp
)

add_library(plasma_applet_activewindowcontrol MODULE ${activewindowcontrolapplet_SRCS})

kcoreaddons_desktop_to_json(plasma_applet_activewindowcontrol ../package/metadata.desktop)

target_link_libraries(plasma_applet_activewindowcontrol
                      Qt5::Widgets
                      Qt5::Quick
                      Qt5::DBus
                      KF5::Plasma
                      KF5::WindowSystem)

install(TARGETS plasma_applet_activewindowcontrol DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/applets)

=== plugin/CMakeLists.txt ===
set(activewindowcontrolplugin_SRCS
    appmenumodel.cpp
    activewindowcontrolplugin.cpp
    )

add_library(activewindowcontrolplugin SHARED ${activewindowcontrolplugin_SRCS})

cmake_policy(SET CMP0053 NEW)
cmake_policy(SET CMP0063 NEW)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)

add_subdirectory(libdbusmenuqt)

target_link_libraries(activewindowcontrolplugin
                      Qt5::Core
                      Qt5::Widgets
                      Qt5::Quick
                      Qt5::DBus
                      KF5::Plasma
                      KF5::WindowSystem
                      dbusmenuqt
                      )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE OPTIONAL
                        PURPOSE "Required for building the X11 based workspace")

if(X11_FOUND)
  find_package(XCB MODULE REQUIRED COMPONENTS XCB RANDR)
  set_package_properties(XCB PROPERTIES TYPE REQUIRED)
  if(NOT X11_SM_FOUND)
    message(FATAL_ERROR "\nThe X11 Session Management (SM) development package could not be found.\nPlease install libSM.\n")
  endif(NOT X11_SM_FOUND)

  find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)
endif()

if(X11_FOUND AND XCB_XCB_FOUND)
  set(HAVE_X11 1)
endif()

configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

if(HAVE_X11)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
    find_package(XCB MODULE REQUIRED COMPONENTS XCB RANDR)
    set_package_properties(XCB PROPERTIES TYPE REQUIRED)
    target_link_libraries(activewindowcontrolplugin
                          Qt5::X11Extras
                          XCB::XCB
                          )
endif()

install(TARGETS activewindowcontrolplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/private/activeWindowControl)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/private/activeWindowControl)

=== translations/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

        SET(catalogname plasma_applet_org.kde.activeWindowControl)

        FILE(GLOB PO_FILES po/*.po)
        SET(GMO_FILES)
        
        ADD_CUSTOM_TARGET(translations ALL DEPENDS ${GMO_FILES})

        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )

                IF( _langCode )
                        #GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        STRING(REGEX REPLACE "\\.po$" "" _lang ${_poFileName} )
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                        LIST(APPEND GMO_FILES ${_gmoFile})
                ENDIF( _langCode )

        ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== PKGBUILD ===
# Maintainer: Antonio Rojas <arojas@archlinux.org>
# Contributor: Rhinoceros <https://aur.archlinux.org/account/rhinoceros>
# Contributor: Martin Kostolný <clearmartin at zoho dot com>

pkgname=plasma5-applets-active-window-control
pkgver=1.7.3
pkgrel=3
pkgdesc="Plasma applet for controlling the currently active window"
arch=(x86_64)
url="https://github.com/kotelnik/plasma-applet-active-window-control"
license=(GPL2)
depends=(plasma-workspace qt5-graphicaleffects)
makedepends=(extra-cmake-modules)
source=($pkgname-$pkgver.tar.gz::"https://github.com/kotelnik/plasma-applet-active-window-control/archive/v$pkgver.tar.gz")
sha256sums=('f4662560bffd57155081fb8bb0d82c118204f578c7c681b442e365b6c7d169a9')

prepare() {
  mkdir -p build
}

build() {
  cd build
  cmake ../plasma-applet-active-window-control-$pkgver \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_LIBDIR=lib \
    -DBUILD_TESTING=OFF
}

package() {
  cd build
  make DESTDIR="$pkgdir" install
}
